error on z-push whm/cpanel install centos 7



  • Hello i’m trying to install a third part software (z-push), i have those errors, but i think that most of those requires are installed on my server:

    Error: Package: z-push-common-2.3.8+0-73.1.noarch (z-push)
    Requires: php-mbstring
    Error: Package: z-push-ipc-sharedmemory-2.3.8+0-73.1.noarch (z-push)
    Requires: php-sysvsem
    Error: Package: z-push-common-2.3.8+0-73.1.noarch (z-push)
    Requires: php-soap
    Error: Package: z-push-ipc-sharedmemory-2.3.8+0-73.1.noarch (z-push)
    Requires: php-pcntl
    Error: Package: z-push-backend-kopano-2.3.8+0-73.1.noarch (z-push)
    Requires: php-mapi-webapp
    Error: Package: mod_php71u-7.1.9-2.ius.el7.x86_64 (ius)
    Requires: httpd-mmn = 20120211x8664
    Error: Package: mod_php71u-7.1.9-2.ius.el7.x86_64 (ius)
    Requires: php-common(x86-64) = 7.1.9-2.ius.el7
    Error: Package: z-push-common-2.3.8+0-73.1.noarch (z-push)
    Requires: php-process
    Error: Package: z-push-config-apache-2.3.8+0-73.1.noarch (z-push)
    Requires: httpd
    Error: Package: z-push-ipc-sharedmemory-2.3.8+0-73.1.noarch (z-push)
    Requires: php-sysvshm

    my WHM/Cpanel support told me:

    Hello,

    You’re indeed correct that you have these packages installed, however, since cPanel uses a multi-php installation these packages are marked with their php version, ie ea-php56-php-process.x86_64.

    At this point, you would need to contact a Systems administrator or z-push developer to get a workaround for cPanel installations. They should be able to assist you in installing from source or letting Yum know that you would like to use ea-php56-php-process as php_process:

    http://z-push.org/download/

    Let me know if you have any questions!

    Regards,


  • Kopano

    Yeah, cpanel changes the package names so much that the dependencies are not satisfied and you get these errors.
    The easiest would be to use the source tarballs or a git checkout.
    You can find more information on how to do this here: https://wiki.z-hub.io/display/ZP/Installation+from+source


Log in to reply
 

Looks like your connection to Kopano Community Forum was lost, please wait while we try to reconnect.